# BasicClassAccessor< T > Class Template Reference

Used to access the classes of a BasicClassGroup in a type safe manner. More...

`#include <BasicClassAccessor.h>`

Inheritance diagram for BasicClassAccessor< T >:

[legend]
Collaboration diagram for BasicClassAccessor< T >:

[legend]
List of all members.

## Public Member Functions

T * | get (BasicClassGroup *group) const

## Protected Member Functions

virtual BasicClassFactoryBase< void > * | createClassFactory ()
| Used by BasicClassGroupFactory to create a new BasicClassFactory for this class type.

## Detailed Description

### template<class T>
class BasicClassAccessor< T >

Used to access the classes of a BasicClassGroup in a type safe manner.

By registering an instance of this class with BasicClassGroupFactory you can dynamically add classes to a class group.

## Member Function Documentation

template<class T>
virtual BasicClassFactoryBase<void>* BasicClassAccessor< T >::createClassFactory | ( |  | ) | `[inline, protected, virtual]`

| Used by BasicClassGroupFactory to create a new BasicClassFactory for this class type. Implements BasicClassAccessorBase.

template<class T>
T* BasicClassAccessor< T >::get | ( | BasicClassGroup * | group | ) | const`[inline]`

Parameters:

  | group | An instance of a class group allocated by BasicClassGroupFactory.

Returns:
  A pointer the class T with in the given class group.

The documentation for this class was generated from the following file:

- BasicClassAccessor.h